Package org.flowable.cmmn.model

# Class ProcessTask

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.Task
org.flowable.cmmn.model.ChildTask
org.flowable.cmmn.model.ProcessTask

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasInParameters`, `HasLifecycleListeners`, `HasOutParameters`

public class ProcessTask extends ChildTask

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `fallbackToDefaultTenant`
  `protected Process`
  `process`
  `protected String`
  `processInstanceIdVariableName`
  `protected String`
  `processRef`
  `protected String`
  `processRefExpression`
  `protected boolean`
  `sameDeployment`

  ### Fields inherited from class org.flowable.cmmn.model.ChildTask

  `businessKey, inheritBusinessKey, inParameters, outParameters`

  ### Fields inherited from class org.flowable.cmmn.model.Task

  `async, asyncLeave, asyncLeaveExclusive, blocking, blockingExpression, exclusive`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getFallbackToDefaultTenant()`
  `Process`
  `getProcess()`
  `String`
  `getProcessInstanceIdVariableName()`
  `String`
  `getProcessRef()`
  `String`
  `getProcessRefExpression()`
  `boolean`
  `isSameDeployment()`
  `void`
  `setFallbackToDefaultTenant(Boolean fallbackToDefaultTenant)`
  `void`
  `setProcess(Process process)`
  `void`
  `setProcessInstanceIdVariableName(String processInstanceIdVariableName)`
  `void`
  `setProcessRef(String processRef)`
  `void`
  `setProcessRefExpression(String processRefExpression)`
  `void`
  `setSameDeployment(boolean sameDeployment)`

  ### Methods inherited from class org.flowable.cmmn.model.ChildTask

  `addInParameter, addOutParameter, getBusinessKey, getInParameters, getOutParameters, isInheritBusinessKey, setBusinessKey, setInheritBusinessKey, setInParameters, setOutParameters`

  ### Methods inherited from class org.flowable.cmmn.model.Task

  `getBlockingExpression, isAsync, isAsyncLeave, isAsyncLeaveExclusive, isBlocking, isExclusive, setAsync, setAsyncLeave, setAsyncLeaveExclusive, setBlocking, setBlockingExpression, setExclusive, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### processRefExpression

    protected String processRefExpression

  - ### processRef

    protected String processRef

  - ### fallbackToDefaultTenant

    protected Boolean fallbackToDefaultTenant

  - ### sameDeployment

    protected boolean sameDeployment

  - ### processInstanceIdVariableName

    protected String processInstanceIdVariableName

  - ### process

    protected Process process

- ## Constructor Details

  - ### ProcessTask

    public ProcessTask()

- ## Method Details

  - ### getProcessRefExpression

    public String getProcessRefExpression()

  - ### setProcessRefExpression

    public void setProcessRefExpression(String processRefExpression)

  - ### getProcessRef

    public String getProcessRef()

  - ### setProcessRef

    public void setProcessRef(String processRef)

  - ### getProcess

    public Process getProcess()

  - ### setProcess

    public void setProcess(Process process)

  - ### setFallbackToDefaultTenant

    public void setFallbackToDefaultTenant(Boolean fallbackToDefaultTenant)

  - ### getFallbackToDefaultTenant

    public Boolean getFallbackToDefaultTenant()

  - ### isSameDeployment

    public boolean isSameDeployment()

  - ### setSameDeployment

    public void setSameDeployment(boolean sameDeployment)

  - ### getProcessInstanceIdVariableName

    public String getProcessInstanceIdVariableName()

  - ### setProcessInstanceIdVariableName

    public void setProcessInstanceIdVariableName(String processInstanceIdVariableName)